
QGIS Application - Bug report #22117

crashes at start

2019-05-21 06:14 PM - stefano loddo

Status: Feedback

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.8 Regression?: No

Operating System: win 8.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29930

Description

as soon as I launch QGIS 3.4 Madeira, it crashes at startup, every single time.

I tried uninstall it and manually delete remaining keys containing QGis in it

This is the log fiel:

Crash ID: 61546722bd614632fe6392e62f31b92e76e4daf9

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

CoGetTreatAsClass :

CoInitializeEx :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoInitializeEx :

CoInitializeEx :

CoInitializeEx :

CoTaskMemRealloc :

CoTaskMemRealloc :

SHBindToParent :

Ordinal866 :

AssocCreateForClasses :

SHCreateQueryCancelAutoPlayMoniker :

SHCreateQueryCancelAutoPlayMoniker :

SHCreateQueryCancelAutoPlayMoniker :

SHCreateQueryCancelAutoPlayMoniker :

SHCreateQueryCancelAutoPlayMoniker :

Ordinal893 :

Ordinal211 :

SHILCreateFromPath :

Ordinal904 :

OpenRegStream :
OpenRegStream :

ILFree :

DllCanUnloadNow :

RtlGetNtProductType :

RtlFreeUnicodeString :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.8-Madeira

QGIS code revision: 04ee8e0761

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600

QGis is stand-alone installed and Windows 8.1 is on my PC

Thank you

History

#1 - 2019-05-23 11:07 AM - Giovanni Manghi

- Status changed from Open to Feedback

Try removing the QGIS (configuratios, plugins, etc) folder from within your Windows user folder.

#2 - 2019-05-23 12:22 PM - stefano loddo

- Status changed from Feedback to Open

- Assignee set to Giovanni Manghi

I deleted the QGIS folder in position C:User\username\AppData\Roaming, I asked to start importing QGIS 2.0 settings, instead of making a "clean start". It

worked again for a while, but soon after it crashed again.

#3 - 2019-05-23 12:29 PM - Giovanni Manghi

stefano loddo wrote:

I asked to start importing QGIS 2.0 settings, instead of making a "clean start".

there you go, do NOT import qgis 2 settings and try again.
#4 - 2019-05-23 12:29 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

#5 - 2019-05-23 12:36 PM - stefano loddo

unfortunately I haven't solved, I always get the same result.

QGIS crashes

#6 - 2019-05-23 12:38 PM - Giovanni Manghi

stefano loddo wrote:

unfortunately I haven't solved, I always get the same result.

QGIS crashes

you are likely hitting a local issue. Have you tried on another machine?

#7 - 2019-05-23 12:42 PM - stefano loddo

- Assignee set to Giovanni Manghi

I have not another machine. On my collegue's PC Qgis works regularly

#8 - 2019-05-23 04:44 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

- Subject changed from crashes at start, all the time to crashes at start

- Status changed from Open to Feedback

stefano loddo wrote:

I have not another machine. On my collegue's PC Qgis works regularly

so, a local issue... and that may be very hard to replicate/troubleshoot from this side. Try to understand if there are any differences with your colleague

machine.
